<ng-container *ngIf="selectedCity">
  <div
    class="location-details"
    cdkOverlayOrigin
    #trigger="cdkOverlayOrigin">
    <div class="details">
      <span
        class="city"
        *ngIf="selectedCity.city">
        {{ selectedCity.city.codePostal }}
        <span class="city-name">{{ selectedCity.city.nom }}</span>
      </span>
      <span class="coordinates">
        {{ latitude[displayedCoordinatesType] | number : (displayedCoordinatesType === 'GPS' ? "1.0-6" : "1.0-0") }} |
        {{ longitude[displayedCoordinatesType] | number : (displayedCoordinatesType === 'GPS' ? "1.0-6" : "1.0-0") }}
        <button
          class="fr-icon-arrow-down-s-fill"
          #coordinatesMenuButton
          (click)="isDisplayingCoordinatesMenu = !isDisplayingCoordinatesMenu"
          aria-label="Afficher le menu pour choisir le type de coordonnées"></button>
      </span>
    </div>
    <div
      class="icons"
      [ngSwitch]="true">
      <button
        *ngSwitchCase="features.includes(possibleFeatures.CanDelete)"
        (click)="onDelete()"
        class="fr-icon-delete-line"
        title="Une poubelle. Cliquez pour supprimer cet emplacement"></button>

      <button
        *ngSwitchCase="features.includes(possibleFeatures.CanEdit)"
        (click)="onEdit()"
        class="fr-icon-refresh-line"
        title="Des flèches tournant sur elles-mêmes. Cliquez pour modifier cet emplacement"></button>

      <button
        *ngSwitchCase="features.includes(possibleFeatures.CanLocalize)"
        (click)="onLocalize()"
        class="fr-icon-map-pin-2-line"
        title="Un marqueur de carte. Cliquez pour centrer la carte sur cet emplacement"></button>

      <button
        *ngSwitchDefault
        disabled
        class="fr-icon-map-pin-2-line"
        title="Un marqueur de carte grisé. Aucune action possible sur ce bouton désactivé"></button>
    </div>
  </div>

  <ng-template
    cdkConnectedOverlay
    [cdkConnectedOverlayOrigin]="trigger"
    [cdkConnectedOverlayOpen]="isDisplayingCoordinatesMenu"
    [cdkConnectedOverlayWidth]="
      trigger.elementRef.nativeElement.getBoundingClientRect().width
    ">
    <div
      class="coordinates-menu"
      #coordinatesMenu>
      <button
        *ngFor="let coordinatesType of possibleCoordinates"
        [attr.aria-label]="'Choisir des coordonnées ' + coordinatesType"
        (click)="displayedCoordinatesType = coordinatesType">
        <span class="spacer">
          <dsfr-badge
            [label]="coordinatesType"
            [size]="badgeSize.SMALL"
            [theme]="themeColor.PURPLE_GLYCINE">
          </dsfr-badge>
        </span>
        <span>
          {{ latitude[coordinatesType] | number : (coordinatesType === 'GPS' ? "1.0-6" : "1.0-0") }} |
          {{ longitude[coordinatesType] | number : (coordinatesType === 'GPS' ? "1.0-6" : "1.0-0") }}
        </span>
        <span
          class="coordinates-type-check"
          [class.fr-icon-success-line]="
            displayedCoordinatesType === coordinatesType
          "></span>
      </button>
    </div>
  </ng-template>
</ng-container>
